import struct
from oneTimeTCPClient import *

HEADER_SIZE = 4

class blockOneTimeTCPClient(oneTimeTCPClient):
  sendBuffer = ''
  bufferSize = 1024
  
  def send(self, data):
    if len(self.sendBuffer) + HEADER_SIZE + len(data) > self.bufferSize:
      self.flush()
      
    self.sendBuffer += struct.pack('i', len(data))
    self.sendBuffer += data

  def flush(self):
    self.socket.send(self.sendBuffer)
    self.sendBuffer = ''
